package com.xmomen.module.base.entity;

import com.xmomen.framework.mybatis.model.BaseMybatisExample;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

// 定义一个名为CdContractItemExample的类，继承自BaseMybatisExample
public class CdContractItemExample extends BaseMybatisExample {
    // 定义一个orderByClause变量，用于存储排序的子句
    protected String orderByClause;

    // 定义一个distinct变量，用于存储是否去重的标志
    protected boolean distinct;

    // 定义一个oredCriteria变量，用于存储查询条件
    protected List<Criteria> oredCriteria;

    // 构造函数，初始化oredCriteria
    public CdContractItemExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    // 设置orderByClause的值
    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    // 获取orderByClause的值
    public String getOrderByClause() {
        return orderByClause;
    }

    // 设置distinct的值
    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    // 获取distinct的值
    public boolean isDistinct() {
        return distinct;
    }

    // 获取oredCriteria的值
    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    // 添加一个查询条件
    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    // 创建一个新的查询条件
    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    // 创建一个新的查询条件
    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    // 创建一个新的查询条件
    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    // 清空oredCriteria、orderByClause和distinct的值
    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    // 定义一个内部类GeneratedCriteria，用于存储查询条件
    protected abstract static class GeneratedCriteria {
        // 定义一个criteria变量，用于存储查询条件
        protected List<Criterion> criteria;

        // 构造函数，初始化criteria
        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        // 判断是否有查询条件
        public boolean isValid() {
            return criteria.size() > 0;
        }

        // 获取所有的查询条件
        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        // 获取查询条件
        public List<Criterion> getCriteria() {
            return criteria;
        }

        // 添加一个查询条件
        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        // 添加一个查询条件
        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        // 添加一个查询条件
        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        // 判断ID是否为空
        public Criteria andIdIsNull() {
            addCriterion("ID is null");
            return (Criteria) this;
        }

        // 判断ID是否不为空
        public Criteria andIdIsNotNull() {
            addCriterion("ID is not null");
            return (Criteria) this;
        }

        // 判断ID是否等于某个值
        public Criteria andIdEqualTo(Integer value) {
            addCriterion("ID =", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否不等于某个值
        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("ID <>", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否大于某个值
        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("ID >", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否大于等于某个值
        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("ID >=", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否小于某个值
        public Criteria andIdLessThan(Integer value) {
            addCriterion("ID <", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否小于等于某个值
        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("ID <=", value, "id");
            return (Criteria) this;
        }

        // 判断ID是否在某个范围内
        public Criteria andIdIn(List<Integer> values) {
            addCriterion("ID in", values, "id");
            return (Criteria) this;
        }

        // 判断ID是否不在某个范围内
        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("ID not in", values, "id");
            return (Criteria) this;
        }

        // 判断ID是否在某个范围内
        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("ID between", value1, value2, "id");
            return (Criteria) this;
        }

        // 判断ID是否不在某个范围内
        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("ID not between", value1, value2, "id");
            return (Criteria) this;
        }

        // 判断CD_CONTRACT_ID是否为空
        public Criteria andCdContractIdIsNull() {
            addCriterion("CD_CONTRACT_ID is null");
            return (Criteria) this;
        }

        // 判断CD_CONTRACT_ID是否不为空
        public Criteria andCdContractIdIsNotNull() {
            addCriterion("CD_CONTRACT_ID is not null");
            return (Criteria) this;
        }

        // 判断CD_CONTRACT_ID是否等于某个值
        public Criteria andCdContractIdEqualTo(Integer value) {
            addCriterion("CD_CONTRACT_ID =", value, "cdContractId");
            return (Criteria) this;
        }

        // 判断CD_CONTRACT_ID是否不等于某个值
        public Criteria andCdContractIdNotEqualTo(Integer value) {
            addCriterion("CD_CONTRACT_ID <>", value, "cdContractId");
            return (Criteria) this;
        }

        // 判断CD_CONTRACT_ID是否大于某个值
        public Criteria andCdContractIdGreaterThan(Integer value) {
            addCriterion("CD_CONTRACT_ID >", value, "cdContractId");
            return (Criteria) this;
        }

        // 判断CD_CONTRACT_ID是否大于等于某个值
        public Criteria andCdContractIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("CD_CONTRACT_ID >=", value, "cdContractId");
            return (Criteria) this;
        }

        // 判断CD_CONTRACT_ID是否小于某个值
        public Criteria andCdContractIdLessThan(Integer value) {
            addCriterion("CD_CONTRACT_ID <", value, "cdContractId");
            return (Criteria) this;
        }

        // 判断CD_CONTRACT_ID是否小于等于某个值
        public Criteria andCdContractIdLessThanOrEqualTo(Integer value) {
            addCriterion("CD_CONTRACT_ID <=", value, "cdContractId");
            return (Criteria) this;
        }

        // 判断CD_CONTRACT_ID是否在某个范围内
        public Criteria andCdContractIdIn(List<Integer> values) {
            addCriterion("CD_CONTRACT_ID in", values, "cdContractId");
            return (Criteria) this;
        }

        // 判断CD_CONTRACT_ID是否不在某个范围内
        public Criteria andCdContractIdNotIn(List<Integer> values) {
            addCriterion("CD_CONTRACT_ID not in", values, "cdContractId");
            return (Criteria) this;
        }

        // 判断CD_CONTRACT_ID是否在某个范围内
        public Criteria andCdContractIdBetween(Integer value1, Integer value2) {
            addCriterion("CD_CONTRACT_ID between", value1, value2, "cdContractId");
            return (Criteria) this;
        }

        // 判断CD_CONTRACT_ID是否不在某个范围内
        public Criteria andCdContractIdNotBetween(Integer value1, Integer value2) {
            addCriterion("CD_CONTRACT_ID not between", value1, value2, "cdContractId");
            return (Criteria) this;
        }

        // 判断CONTRACT_TYPE是否为空
        public Criteria andContractTypeIsNull() {
            addCriterion("CONTRACT_TYPE is null");
            return (Criteria) this;
        }

        // 判断CONTRACT_TYPE是否不为空
        public Criteria andContractTypeIsNotNull() {
            addCriterion("CONTRACT_TYPE is not null");
            return (Criteria) this;
        }

        // 判断CONTRACT_TYPE是否等于某个值
        public Criteria andContractTypeEqualTo(Integer value) {
            addCriterion("CONTRACT_TYPE =", value, "contractType");
            return (Criteria) this;
        }

        // 判断CONTRACT_TYPE是否不等于某个值
        public Criteria andContractTypeNotEqualTo(Integer value) {
            addCriterion("CONTRACT_TYPE <>", value, "contractType");
            return (Criteria) this;
        }

        // 判断CONTRACT_TYPE是否大于某个值
        public Criteria andContractTypeGreaterThan(Integer value) {
            addCriterion("CONTRACT_TYPE >", value, "contractType");
            return (Criteria) this;
        }

        // 判断CONTRACT_TYPE是否大于等于某个值
        public Criteria andContractTypeGreaterThanOrEqualTo(Integer value) {
            addCriterion("CONTRACT_TYPE >=", value, "contractType");
            return (Criteria) this;
        }

        // 判断CONTRACT_TYPE是否小于某个值
        public Criteria andContractTypeLessThan(Integer value) {
            addCriterion("CONTRACT_TYPE <", value, "contractType");
            return (Criteria) this;
        }

        // 判断CONTRACT_TYPE是否小于等于某个值
        public Criteria andContractTypeLessThanOrEqualTo(Integer value) {
            addCriterion("CONTRACT_TYPE <=", value, "contractType");
            return (Criteria) this;
        }

        // 判断CONTRACT_TYPE是否在某个范围内
        public Criteria andContractTypeIn(List<Integer> values) {
            addCriterion("CONTRACT_TYPE in", values, "contractType");
            return (Criteria) this;
        }

        // 判断CONTRACT_TYPE是否不在某个范围内
        public Criteria andContractTypeNotIn(List<Integer> values) {
            addCriterion("CONTRACT_TYPE not in", values, "contractType");
            return (Criteria) this;
        }

        // 判断CONTRACT_TYPE是否在某个范围内
        public Criteria andContractTypeBetween(Integer value1, Integer value2) {
            addCriterion("CONTRACT_TYPE between", value1, value2, "contractType");
            return (Criteria) this;
        }

        // 判断CONTRACT_TYPE是否不在某个范围内
        public Criteria andContractTypeNotBetween(Integer value1, Integer value2) {
            addCriterion("CONTRACT_TYPE not between", value1, value2, "contractType");
            return (Criteria) this;
        }

        // 判断CD_ITEM_ID是否为空
        public Criteria andCdItemIdIsNull() {
            addCriterion("CD_ITEM_ID is null");
            return (Criteria) this;
        }

        // 判断CD_ITEM_ID是否不为空
        public Criteria andCdItemIdIsNotNull() {
            addCriterion("CD_ITEM_ID is not null");
            return (Criteria) this;
        }

        // 判断CD_ITEM_ID是否等于某个值
        public Criteria andCdItemIdEqualTo(Integer value) {
            addCriterion("CD_ITEM_ID =", value, "cdItemId");
            return (Criteria) this;
        }

        // 判断CD_ITEM_ID是否不等于某个值
        public Criteria andCdItemIdNotEqualTo(Integer value) {
            addCriterion("CD_ITEM_ID <>", value, "cdItemId");
            return (Criteria) this;
        }

        // 判断CD_ITEM_ID是否大于某个值
        public Criteria andCdItemIdGreaterThan(Integer value) {
            addCriterion("CD_ITEM_ID >", value, "cdItemId");
            return (Criteria) this;
        }

        // 判断CD_ITEM_ID是否大于等于某个值
        public Criteria andCdItemIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("CD_ITEM_ID >=", value, "cdItemId");
            return (Criteria) this;
        }

        // 判断CD_ITEM_ID是否小于某个值
        public Criteria andCdItemIdLessThan(Integer value) {
            addCriterion("CD_ITEM_ID <", value, "cdItemId");
            return (Criteria) this;
        }

        // 判断CD_ITEM_ID是否小于等于某个值
        public Criteria andCdItemIdLessThanOrEqualTo(Integer value) {
            addCriterion("CD_ITEM_ID <=", value, "cdItemId");
            return (Criteria) this;
        }

        // 判断CD_ITEM_ID是否在某个范围内
        public Criteria andCdItemIdIn(List<Integer> values) {
            addCriterion("CD_ITEM_ID in", values, "cdItemId");
            return (Criteria) this;
        }

        // 判断CD_ITEM_ID是否不在某个范围内
        public Criteria andCdItemIdNotIn(List<Integer> values) {
            addCriterion("CD_ITEM_ID not in", values, "cdItemId");
            return (Criteria) this;
        }

        // 判断CD_ITEM_ID是否在某个范围内
        public Criteria andCdItemIdBetween(Integer value1, Integer value2) {
            addCriterion("CD_ITEM_ID between", value1, value2, "cdItemId");
            return (Criteria) this;
        }

        // 判断CD_ITEM_ID是否不在某个范围内
        public Criteria andCdItemIdNotBetween(Integer value1, Integer value2) {
            addCriterion("CD_ITEM_ID not between", value1, value2, "cdItemId");
            return (Criteria) this;
        }

        // 判断DISCOUNT是否为空
        public Criteria andDiscountIsNull() {
            addCriterion("DISCOUNT is null");
            return (Criteria) this;
        }

        // 判断DISCOUNT是否不为空
        public Criteria andDiscountIsNotNull() {
            addCriterion("DISCOUNT is not null");
            return (Criteria) this;
        }

        // 判断DISCOUNT是否等于某个值
        public Criteria andDiscountEqualTo(BigDecimal value) {
            addCriterion("DISCOUNT =", value, "discount");
            return (Criteria) this;
        }

        // 判断DISCOUNT是否不等于某个值
        public Criteria andDiscountNotEqualTo(BigDecimal value) {
            addCriterion("DISCOUNT <>", value, "discount");
            return (Criteria) this;
        }

        // 判断DISCOUNT是否大于某个值
        public Criteria andDiscountGreaterThan(BigDecimal value) {
            addCriterion("DISCOUNT >", value, "discount");
            return (Criteria) this;
        }

        // 判断DISCOUNT是否大于等于某个值
        public Criteria andDiscountGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("DISCOUNT >=", value, "discount");
            return (Criteria) this;
        }

        // 判断DISCOUNT是否小于某个值
        public Criteria andDiscountLessThan(BigDecimal value) {
            addCriterion("DISCOUNT <", value, "discount");
            return (Criteria) this;
        }

        // 判断DISCOUNT是否小于等于某个值
        public Criteria andDiscountLessThanOrEqualTo(BigDecimal value) {
            addCriterion("DISCOUNT <=", value, "discount");
            return (Criteria) this;
        }

        // 判断DISCOUNT是否在某个范围内
        public Criteria andDiscountIn(List<BigDecimal> values) {
            addCriterion("DISCOUNT in", values, "discount");
            return (Criteria) this;
        }

        // 判断DISCOUNT是否不在某个范围内
        public Criteria andDiscountNotIn(List<BigDecimal> values) {
            addCriterion("DISCOUNT not in", values, "discount");
            return (Criteria) this;
        }

        // 判断DISCOUNT是否在某个范围内
        public Criteria andDiscountBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("DISCOUNT between", value1, value2, "discount");
            return (Criteria) this;
        }

        // 判断DISCOUNT是否不在某个范围内
        public Criteria andDiscountNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("DISCOUNT not between", value1, value2, "discount");
            return (Criteria) this;
        }

        // 判断CONTRACT_VALUE是否为空
        public Criteria andContractValueIsNull() {
            addCriterion("CONTRACT_VALUE is null");
            return (Criteria) this;
        }

        // 判断CONTRACT_VALUE是否不为空
        public Criteria andContractValueIsNotNull() {
            addCriterion("CONTRACT_VALUE is not null");
            return (Criteria) this;
        }

        // 判断CONTRACT_VALUE是否等于某个值
        public Criteria andContractValueEqualTo(BigDecimal value) {
            addCriterion("CONTRACT_VALUE =", value, "contractValue");
            return (Criteria) this;
        }

        // 判断CONTRACT_VALUE是否不等于某个值
        public Criteria andContractValueNotEqualTo(BigDecimal value) {
            addCriterion("CONTRACT_VALUE <>", value, "contractValue");
            return (Criteria) this;
        }

        // 判断CONTRACT_VALUE是否大于某个值
        public Criteria andContractValueGreaterThan(BigDecimal value) {
            addCriterion("CONTRACT_VALUE >", value, "contractValue");
            return (Criteria) this;
        }

        // 判断CONTRACT_VALUE是否大于等于某个值
        public Criteria andContractValueGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("CONTRACT_VALUE >=", value, "contractValue");
            return (Criteria) this;
        }

        // 判断CONTRACT_VALUE是否小于某个值
        public Criteria andContractValueLessThan(BigDecimal value) {
            addCriterion("CONTRACT_VALUE <", value, "contractValue");
            return (Criteria) this;
        }

        // 判断CONTRACT_VALUE是否小于等于某个值
        public Criteria andContractValueLessThanOrEqualTo(BigDecimal value) {
            addCriterion("CONTRACT_VALUE <=", value, "contractValue");
            return (Criteria) this;
        }

        // 判断CONTRACT_VALUE是否在某个范围内
        public Criteria andContractValueIn(List<BigDecimal> values) {
            addCriterion("CONTRACT_VALUE in", values, "contractValue");
            return (Criteria) this;
        }

        // 判断CONTRACT_VALUE是否不在某个范围内
        public Criteria andContractValueNotIn(List<BigDecimal> values) {
            addCriterion("CONTRACT_VALUE not in", values, "contractValue");
            return (Criteria) this;
        }

        // 判断CONTRACT_VALUE是否在某个范围内
        public Criteria andContractValueBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CONTRACT_VALUE between", value1, value2, "contractValue");
            return (Criteria) this;
        }

        // 判断CONTRACT_VALUE是否不在某个范围内
        public Criteria andContractValueNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("CONTRACT_VALUE not between", value1, value2, "contractValue");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}